<?php
session_start();
ob_start();
if($_SESSION['admin'] != true){
    session_destroy();
    header("location: login.php");
    exit;
}
include("functions.php");

echo <<<eot
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
</head>
<body>
eot;

//初始化
$orderby = empty($_GET['orderby']) ? "id" : $_GET['orderby'];
$order = empty($_GET['order']) ? "asc" : $_GET['order'];
$page = empty($_GET['page']) ? "1" : $_GET['page'];
$v1 = new vote;

echo "<input type=\"button\" onclick=\"window.location='new.php'\" value=\"新建\"/>\n";
echo "<input type=\"button\" onclick=\"window.location='manage.php?orderby={$orderby}&order={$order}&page={$page}'\" value=\"刷新\"/>\n";
echo "<input type=\"button\" onclick=\"window.location='login.php?act=logout'\" value=\"注销\"/>\n";
echo "<hr/>\n";

//删除操作开始
if($_GET['act'] == "del"){
    $v1->delete($_GET['id']);
    if($v1->valid){
        echo "成功删除id={$_GET['id']}";
    }else{
        echo "删除操作失败(id={$_GET['id']}): " . $v1->errorstr;
    }
    echo "<hr/>\n";
}
//删除操作结束

$v1->count($orderby, $order);
if($v1->valid === false){
    die($v1->errorstr);
}
if($v1->countid == 0){
    die("暂无数据");
}
//分页栏开始
$items_per_page = 5;

$pages = ceil($v1->countid / $items_per_page);
if($page < 1) $page = 1;
if($page > pages) $page = $pages;
if($page <= 1){
    echo "上一页 - ";
}else{
    echo "<a href=\"{$_SERVER['PHP_SELF']}?orderby={$orderby}&order={$order}&page=". ($page - 1) ."\">上一页</a> - ";
}
for($i = 1; $i <= $pages; $i++){
    if($i == $page){
        echo $i;
    }else{
        echo "<a href=\"{$_SERVER['PHP_SELF']}?orderby={$orderby}&order={$order}&page={$i}\">{$i}</a>";
    }
    if($i != $pages){
        echo " - ";
    }
    echo "\n";
}
if($page >= $pages){
    echo " - 下一页";
}else{
    echo " - <a href=\"{$_SERVER['PHP_SELF']}?orderby={$orderby}&order={$order}&page=". ($page + 1) ."\">下一页</a>";
}
//分页栏结束



echo "<hr/>\n";



//排序方式选择栏开始
if($orderby == "id"){//显示当前排序关键字段
    $id_s = "selected=\"selected\"";
}elseif($orderby == "votes"){
    $votes_s = "selected=\"selected\"";
}else{
    $tmp = str_replace("item", "", $orderby);
    if($tmp < 0 || $tmp > 9){
        $id_s = "selected=\"selected\"";
    }else{
        $items_s[$tmp] = "selected=\"selected\"";
    }
}//end if

if($order == "asc"){//显示当前排序顺序
    $asc_s = "selected=\"selected\"";
}else{
    $desc_s = "selected=\"selected\"";
}//end if
?>

<script language="javascript">
function redirect(){
    var s1 = document.getElementById("orderby");
    var s2 = document.getElementById("order");
    window.location = "<?=$_SERVER['PHP_SELF'];?>?orderby=" + s1.value + "&order=" + s2.value + "&page=<?=$page;?>";
}
</script>
按
<select id="orderby" onChange="redirect()">
    <option <?=$id_s;?> value="id">编号</option>
	<option <?=$votes_s;?> value="votes">票数</option>
<?php
for($i = 0; $i < $v1->itemcount; $i++){
    echo "\t<option {$items_s[$i]} value=\"item{$i}\">{$v1->items[$i]['name']}</option>\n";
}	
?>
</select>
<select id="order" onChange="redirect()">
    <option <?=$asc_s;?> value="asc">升序</option>
	<option <?=$desc_s;?> value="desc">降序</option>
</select>
排序
<?php
//排序方式选择栏结束



echo "<hr/>";



//列表开始
?>
<script language="javascript">
function del(id){
    if(confirm("你确定要删除编号为 " + id + " 的记录么?")){
        window.location = "manage.php?act=del&id=" + id;
    }
}
</script>
<?php
$start = ($page - 1) * $items_per_page;
$end = $start + $items_per_page;
if($start < 0){
    $start = 0;
    $end = $items_per_page;
}elseif($start >= $v1->countid){
    $start = ($pages - 1) * $items_per_page;
    $end = $v1->countid;
}
if($end > $v1->countid){
    $end = $v1->countid;
}

for($i = $start; $i < $end; $i++){
    $id = $v1->ids[$i];
    $v1->init($id);
    if($v1->valid === false){
        die("出错了:" . $v1->errorstr);
    }
    echo "<input type=\"button\" onclick=\"window.location='edit.php?id={$id}'\" value=\"编辑\"/>\n";
    echo "<input type=\"button\" onclick=\"del({$id})\" value=\"删除\"/><br/>\n";
    echo "id: ", $v1->id, "<br/>\n";
    echo "votes: ", $v1->votes, "<br/>\n";
    echo "file: ", "<a href=\"{$v1->file}\" target=\"_blank\" title=\"点击查看\">{$v1->file}</a>" , "<br/>\n";
    for($j = 0; $j < $v1->itemcount; $j++){
        echo $v1->items[$j]['name'], ": ", htmlspecialchars($v1->items[$j]['value']), "<br/>\n";
    }
    echo "<hr/>";
}
//列表结束



?>
